org.apache.xmlgraphics.ps.dsc

## Class DSCCommentFactory

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.DSCCommentFactory

-     public final class DSCCommentFactory
      extends java.lang.Object

  Factory for DSCComment subclasses.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DSCComment` | `createDSCCommentFor(java.lang.String name)` Creates and returns new instances for DSC comments with a given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDSCCommentFor

          public static DSCComment createDSCCommentFor(java.lang.String name)

      Creates and returns new instances for DSC comments with a given name.
      Parameters:
        `name` - the name of the DSCComment (without the "%%" prefix)
      Returns:
        the new instance or null if no particular subclass registered for the given DSC comment.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.